
From: Andrew Morton <akpm@osdl.org>

With CONFIG_HUGETLB_PAGE=n:

In file included from kernel/sysctl.c:37:
include/linux/hugetlb.h:104:1: warning: "hugetlb_free_pgd_range" redefined
In file included from include/linux/mm.h:36,
                 from kernel/sysctl.c:23:
include/asm/pgtable.h:492:1: warning: this is the location of the previous definition

Cc: David Gibson <dwg@au1.ibm.com>
Cc: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc64/pgtable.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/asm-ppc64/pgtable.h~ppc64-four-level-pagetables-fix include/asm-ppc64/pgtable.h
--- 25/include/asm-ppc64/pgtable.h~ppc64-four-level-pagetables-fix	2005-08-07 06:21:07.000000000 -0600
+++ 25-akpm/include/asm-ppc64/pgtable.h	2005-08-07 06:21:07.000000000 -0600
@@ -489,8 +489,10 @@ extern pgd_t swapper_pg_dir[];
 
 extern void paging_init(void);
 
+#ifdef CONFIG_HUGETLB_PAGE
 #define hugetlb_free_pgd_range(tlb, addr, end, floor, ceiling) \
 	free_pgd_range(tlb, addr, end, floor, ceiling)
+#endif
 
 /*
  * This gets called at the end of handling a page fault, when
_
